KDE 4.7 PyKDE API Reference

- KDE's Python API

# NETIcon Class Reference

`from PyKDE4.kdeui import *`

## Detailed Description

Simple icon class for NET classes.

This class is a convenience class defining an icon of size width by height. The existence of this class is to keep the implementation from being dependent on a separate framework/library.

NETIcon is only used by the NET API. Usually QIcon is the appropriate class for representing an icon.

## Attributes
unsigned char | data
NETSize | size
## Methods
| __init__ (self)

## Method Documentation

__init__ | ( |  | self ) |

Constructor to initialize this icon to 0x0 with data=0

## Attribute Documentation

unsigned char data

NETSize size